/* Lutz Prechelt, 1997-10-30
   $Id: Window.h,v 1.3 1997/11/10 10:05:51 prechelt Exp $
*/
// supplement for making faked both.cc program compilable:

class Window {
public:
  static Window* createFrame(char *title, int width, int height,
                             bool storepixels = false) {}

  // query functions:
  int  fontHeight(char *str = NULL) { return 0; }
  int  fontWidth(char *str = NULL) { return 0; }
  int  height() { return 0; }
  int  width() { return 0; }

  // side effects:
  void clear() {}
  void drawCircle(int x0, int y0, int radius, bool filled=false) {}
  void drawLine(int x0, int y0, int x1, int y1) {}
  void drawPoint(int x, int y) {}
  void drawString(char *str, int xpos, int ypos) {}
  int  fontAttributes(int attributes = 0, bool set = true) { return 0; }
  void resize(int xsize, int ysize) {}
  void setColor(int foreground, int background) {}
  void setFont(char* fontname, int pointsize) {}
  void shiftContents(int xshift, int yshift) {}

  // font attribute constants:
  static const int bold      = 1;
  static const int italics   = 2;
  static const int underline = 4;
  // color constants:
  static const int black = 0;
  static const int white = 1;
  static const int gray1 = 2;
};
